body{
    padding: 0;
    margin: 0;
    background-color: red;
}

#map-template{
    height: 100%;
    width: 100%;
    top: 0;
    position: absolute;
    z-index: 1;
}

.modal-container {
    display: flex;
    background-color: rgba(0, 0, 0, 0.3);
    align-items: center;
    justify-content: center;
    position: fixed;
    pointer-events: none;
    opacity: 0;  
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    transition: opacity 0.3s ease;
    z-index: 2;
}

.show {
  pointer-events: auto;
  opacity: 1;
}
@media (max-width: 600px) {
    #modal {
        background-color: #fff;
        width: 80%;
        height: 50%;
        padding: 30px 50px;
        border-radius: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
        text-align: center;
    }
    #video{
        width: 95%;
        height: 300px;
    }
}

@media (min-width: 600px){
    #modal {
        background-color: #fff;
        width: 80%;
        height: 80%;
        padding: 30px 50px;
        border-radius: 5px;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
        text-align: center;
      }
      #video{
        width: 80%;
        height: 460px;
    }
}


button {
    background-color: #47a386;
    border: 0;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    color: #fff;
    font-size: 14px;
    padding: 10px 25px;
    cursor: pointer;
}

